Update a scheduled volunteer shift start or end time
PATCH
/api/volunteers/schedule/{id}
const url = 'https://example.com/api/volunteers/schedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"start_time":"2026-04-15T12:00:00Z","end_time":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/volunteers/schedule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "start_time": "2026-04-15T12:00:00Z", "end_time": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
start_time
string format: date-time
end_time
string format: date-time
Examplegenerated
{ "start_time": "2026-04-15T12:00:00Z", "end_time": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Shift updated successfully